MetalRadioButtonUI (Java SE 9 & JDK 9 )
Keywords: javax.swing.plaf.metal.MetalRadioButtonUI class

Module java.desktop
Package javax.swing.plaf.metal

## Class MetalRadioButtonUI

- java.lang.Object
- - javax.swing.plaf.ComponentUI
  - - javax.swing.plaf.ButtonUI
    - - javax.swing.plaf.basic.BasicButtonUI
      - - javax.swing.plaf.basic.BasicToggleButtonUI
        - - javax.swing.plaf.basic.BasicRadioButtonUI
          - - javax.swing.plaf.metal.MetalRadioButtonUI

- Direct Known Subclasses:
    `MetalCheckBoxUI`

      public class MetalRadioButtonUI
      extends BasicRadioButtonUI

  RadioButtonUI implementation for MetalRadioButtonUI

  Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. As of 1.4, support for long term storage of all JavaBeans™ has been added to the `java.beans` package. Please see `XMLEncoder`.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected Color` | `disabledTextColor` | The color of a disabled text.
    `protected Color` | `focusColor` | The color of the focused radio button.
    `protected Color` | `selectColor` | The color of the selected radio button.

    - ### Fields inherited from class javax.swing.plaf.basic.BasicButtonUI

      `defaultTextIconGap, defaultTextShiftOffset`

    - ### Fields inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

      `icon`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `MetalRadioButtonUI​()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ComponentUI` | `createUI​(JComponent c)` | Returns an instance of `MetalRadioButtonUI`.
    `protected Color` | `getDisabledTextColor​()` | Returns the color of the disabled text.
    `protected Color` | `getFocusColor​()` | Returns the color of the focused `JRadioButton`.
    `protected Color` | `getSelectColor​()` | Returns the color of the selected `JRadioButton`.
    `void` | `installDefaults​(AbstractButton b)` | Installs default properties.
    `void` | `paint​(Graphics g, JComponent c)` | paint the radio button
    `protected void` | `paintFocus​(Graphics g, Rectangle t, Dimension d)` | Paints focused radio button.
    `protected void` | `uninstallDefaults​(AbstractButton b)` | Uninstalls default properties.

    - ### Methods inherited from class javax.swing.plaf.basic.BasicButtonUI

      `clearTextShiftOffset, createButtonListener, getBaseline, getBaselineResizeBehavior, getDefaultTextIconGap, getMaximumSize, getMinimumSize, installKeyboardActions, installUI, paintButtonPressed, paintFocus, paintIcon, paintText, paintText, setTextShiftOffset, uninstallKeyboardActions, uninstallUI`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicRadioButtonUI

      `getDefaultIcon, getPreferredSize, getPropertyPrefix, installListeners, uninstallListeners`

    - ### Methods inherited from class javax.swing.plaf.basic.BasicToggleButtonUI

      `getTextShiftOffset, paintIcon`

    - ### Methods inherited from class javax.swing.plaf.ComponentUI

      `contains, getAccessibleChild, getAccessibleChildrenCount, update`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### focusColor

          protected Color focusColor

      The color of the focused radio button.

    - #### selectColor

          protected Color selectColor

      The color of the selected radio button.

    - #### disabledTextColor

          protected Color disabledTextColor

      The color of a disabled text.

  - ### Constructor Detail

    - #### MetalRadioButtonUI

          public MetalRadioButtonUI​()

  - ### Method Detail

    - #### createUI

          public static ComponentUI createUI​(JComponent c)

      Returns an instance of `MetalRadioButtonUI`.
      Parameters:
        `c` - a component
      Returns:
        an instance of `MetalRadioButtonUI`

    - #### installDefaults

          public void installDefaults​(AbstractButton b)

      Description copied from class: `BasicButtonUI`
      Installs default properties.
      Overrides:
        `installDefaults` in class `BasicRadioButtonUI`
      Parameters:
        `b` - an abstract button

    - #### uninstallDefaults

          protected void uninstallDefaults​(AbstractButton b)

      Description copied from class: `BasicButtonUI`
      Uninstalls default properties.
      Overrides:
        `uninstallDefaults` in class `BasicRadioButtonUI`
      Parameters:
        `b` - an abstract button

    - #### getSelectColor

          protected Color getSelectColor​()

      Returns the color of the selected `JRadioButton`.
      Returns:
        the color of the selected `JRadioButton`

    - #### getDisabledTextColor

          protected Color getDisabledTextColor​()

      Returns the color of the disabled text.
      Returns:
        the color of the disabled text

    - #### getFocusColor

          protected Color getFocusColor​()

      Returns the color of the focused `JRadioButton`.
      Returns:
        the color of the focused `JRadioButton`

    - #### paint

          public void paint​(Graphics g,
                            JComponent c)

      Description copied from class: `BasicRadioButtonUI`
      paint the radio button
      Overrides:
        `paint` in class `BasicRadioButtonUI`
      Parameters:
        `g` - the `Graphics` context in which to paint
        `c` - the component being painted; this argument is often ignored, but might be used if the UI object is stateless and shared by multiple components
      See Also:
        `ComponentUI.update(java.awt.Graphics, javax.swing.JComponent)`

    - #### paintFocus

          protected void paintFocus​(Graphics g,
                                    Rectangle t,
                                    Dimension d)

      Description copied from class: `BasicRadioButtonUI`
      Paints focused radio button.
      Overrides:
        `paintFocus` in class `BasicRadioButtonUI`
      Parameters:
        `g` - an instance of `Graphics`
        `t` - bounds
        `d` - the size of radio button